Skip to content
Esc
↑↓navigate↵open⌘Jpreview

List stories

List generated stories for an organization.

GET/stories
Authorization
AuthorizationBearer token · headerrequired

Organization API key (modem_…).

Query parameters
bucketstring
default: "everything"
Allowed:archivedeverythingfor-youunread
limitinteger
min 1 · max 100
Responses
200

OK

archivedCountintegerrequired
min 0
everythingCountintegerrequired
min 0
forYouCountintegerrequired
min 0
storiesobject[]required
Show properties
Array of object
archiveobject | nullrequired
Show properties
Any of:
object
actorobjectrequired
Show properties
Any of:
object
nameanyrequired
typeanyrequired
object
imagestring | nullrequired
Show properties
Any of:
string
Any of:
string
string
null
null
null
null
namestringrequired
typeanyrequired
userIdstring | nullrequired
Show properties
Any of:
string
Any of:
string
string
string
string
null
null
archivedAtstring<date-time>
reasonstring | nullrequired
Show properties
Any of:
string
string
null
null
null
null
createdAtstring<date-time>
draftobjectrequired
Show properties
detailobjectrequired
Show properties
mainobjectrequired
Show properties
elementsobjectrequired
rootstringrequired
min length 1 · max length 80 · matches ^[a-zA-Z0-9_-]+$
sidebarobjectrequired
Show properties
elementsobjectrequired
rootstringrequired
min length 1 · max length 80 · matches ^[a-zA-Z0-9_-]+$
titleany
listobjectrequired
Show properties
elementsobjectrequired
rootstringrequired
min length 1 · max length 80 · matches ^[a-zA-Z0-9_-]+$
slugstringrequired
min length 1 · max length 120 · matches ^[a-z0-9-]+$
sourceRefsobject[]
max items 24 · default: []
Show properties
Array of object
idstringrequired
min length 1 · max length 160
labelstring
min length 1 · max length 180
typestringrequired
Allowed:authorcompanyemailintercomissuemessagepersonslacktopic
summaryany
titleany
versionanyrequired
isReadbooleanrequired
viewerRelevanceobject | nullrequired
Show properties
Any of:
object
linkedAuthorIdsstring<uuid>[]required
Show properties
Array of string<uuid>
Any of:
string<uuid>
string<uuid>
string<uuid>
string<uuid>
memberIdstringrequired
Show properties
Any of:
string
string
string
string
relevanceKindstringrequired
Allowed:actionawarenessownership
relevanceLabelstring | nullrequired
Show properties
Any of:
string
string
null
null
relevanceRationalestringrequired
userobjectrequired
Show properties
idstringrequired
Show properties
Any of:
string
string
string
string
imagestring | nullrequired
Show properties
Any of:
string
Any of:
string
string
null
null
null
null
namestringrequired

Human-readable name of the user.

null
null
unreadCountintegerrequired
min 0
visitedThroughstring<date-time>required
400

Invalid request (validation failed).

codestringrequired

Machine-readable error code, e.g. NOT_FOUND.

dataany

Optional structured error details.

definedbooleanrequired

True if the error was declared in the procedure contract.

messagestringrequired

Human-readable error message.

statusintegerrequired

HTTP status code.

401

Missing or invalid API key.

codestringrequired

Machine-readable error code, e.g. NOT_FOUND.

dataany

Optional structured error details.

definedbooleanrequired

True if the error was declared in the procedure contract.

messagestringrequired

Human-readable error message.

statusintegerrequired

HTTP status code.

403

The API key does not have access to this resource.

codestringrequired

Machine-readable error code, e.g. NOT_FOUND.

dataany

Optional structured error details.

definedbooleanrequired

True if the error was declared in the procedure contract.

messagestringrequired

Human-readable error message.

statusintegerrequired

HTTP status code.

404

The requested resource was not found.

codestringrequired

Machine-readable error code, e.g. NOT_FOUND.

dataany

Optional structured error details.

definedbooleanrequired

True if the error was declared in the procedure contract.

messagestringrequired

Human-readable error message.

statusintegerrequired

HTTP status code.

429

Rate limit exceeded.

codestringrequired

Machine-readable error code, e.g. NOT_FOUND.

dataany

Optional structured error details.

definedbooleanrequired

True if the error was declared in the procedure contract.

messagestringrequired

Human-readable error message.

statusintegerrequired

HTTP status code.

500

Internal server error.

codestringrequired

Machine-readable error code, e.g. NOT_FOUND.

dataany

Optional structured error details.

definedbooleanrequired

True if the error was declared in the procedure contract.

messagestringrequired

Human-readable error message.

statusintegerrequired

HTTP status code.

Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://api.modem.dev/v1/stories' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "archivedCount": 0,
  "everythingCount": 0,
  "forYouCount": 0,
  "stories": [
    {
      "archive": {
        "actor": {
          "name": "Modem Agent",
          "type": "agent"
        },
        "archivedAt": "2019-08-24T14:15:22Z",
        "reason": "string"
      },
      "createdAt": "2019-08-24T14:15:22Z",
      "draft": {
        "detail": {
          "main": {
            "elements": {
              "property1": {
                "children": [],
                "props": {
                  "direction": "horizontal",
                  "gap": "lg",
                  "wrap": false
                },
                "type": "Stack"
              },
              "property2": {
                "children": [],
                "props": {
                  "direction": "horizontal",
                  "gap": "lg",
                  "wrap": false
                },
                "type": "Stack"
              }
            },
            "root": "string"
          },
          "sidebar": {
            "elements": {
              "property1": {
                "children": [],
                "props": {
                  "direction": "horizontal",
                  "gap": "lg",
                  "wrap": false
                },
                "type": "Stack"
              },
              "property2": {
                "children": [],
                "props": {
                  "direction": "horizontal",
                  "gap": "lg",
                  "wrap": false
                },
                "type": "Stack"
              }
            },
            "root": "string"
          },
          "title": null
        },
        "list": {
          "elements": {
            "property1": {
              "children": [],
              "props": {
                "direction": "horizontal",
                "gap": "lg",
                "wrap": false
              },
              "type": "Stack"
            },
            "property2": {
              "children": [],
              "props": {
                "direction": "horizontal",
                "gap": "lg",
                "wrap": false
              },
              "type": "Stack"
            }
          },
          "root": "string"
        },
        "slug": "string",
        "sourceRefs": [],
        "summary": null,
        "title": null,
        "version": 1
      },
      "isRead": true,
      "viewerRelevance": {
        "linkedAuthorIds": [
          "497f6eca-6276-4993-bfeb-53cbbbba6f08"
        ],
        "memberId": "string",
        "relevanceKind": "action",
        "relevanceLabel": "string",
        "relevanceRationale": "string",
        "user": {
          "id": "string",
          "image": "string",
          "name": "string"
        }
      }
    }
  ],
  "unreadCount": 0,
  "visitedThrough": "2019-08-24T14:15:22Z"
}

Was this page helpful?